
%define kolab_user kolab
%define kolabn_user kolab-n
%define kolabr_user kolab-r


Summary:            Kolab Groupware Solution
Name:		    pykolab
Version:	    0.8.0
Release:	    %mkrel 1
License:	    GPLv3+
Group:		    System/Servers
URL:		    http://git.kolab.org/pykolab
Source0:	    http://git.kolab.org/pykolab//%{name}-%{version}.tar.gz
Source1:	    kolab-saslauthd.tmpfiles.d.conf
Source2:            pykolab.logrotate
Patch0:		    mga-schema-loc.patch
Patch1:		    imap-mga.patch	
Patch3:		    mageia_sasl.patch
Patch4:		    amavisd.conf.patch
Patch5:		    mta.patch
## This patch needs to be removed with kolab-3.3
# Patch6:		    imap-sieve.patch
BuildRequires:	    gettext-devel
BuildRequires:      glib2-devel
BuildRequires:      intltool
BuildRequires:      python-icalendar
BuildRequires:      python-kolabformat
BuildRequires:      python-ldap
BuildRequires:      python-nose
BuildRequires:      python-pyasn1
BuildRequires:      python-pyasn1-modules
BuildRequires:      python-sqlalchemy
Requires:           kolab-cli = %{version}-%{release}
Requires:	    python-ldap >= 2.4
Requires:           python-pyasn1
Requires:           python-pyasn1-modules
# this is for serviceadd, etc.
Requires(post):     systemd >= %{systemd_required_version}
Requires(post):     rpm-helper
Requires(preun):    rpm-helper
# this is for useradd, groupadd, etc.
Requires(pre):      rpm-helper
Requires(postun):   rpm-helper
Requires(pre):	    %{_sbindir}/useradd
Requires(pre):	    %{_sbindir}/groupadd
BuildArch:	    noarch  


%description
Kolab enables you to easily build a groupware server as part of a
collaborative environment.

##
## Kolab Telemetry Logging
##
%package telemetry
Summary:	Kolab Telemetry Logging Capabilities
Group:		System/Servers
Requires:	kolab-cli = %{version}-%{release}

%description telemetry
Cyrus IMAP Telemetry logging handling capabilities for Kolab Groupware

##
## Kolab XML
##
%package xml
Summary:            Kolab XML format wrapper for %{name}
Group:              System/Servers
Requires:           %{name} = %{version}-%{release}
Requires:           python-kolabformat >= 0.5

%description xml
Kolab Format XML bindings wrapper for %{name}

##
## Kolab CLI
##
%package -n kolab-cli
Summary:	Kolab CLI components
Group:		System/Servers
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	python
Requires:	%{name} = %{version}-%{release}
Requires:	python-augeas
Requires:	python-cheetah

%description -n kolab-cli
Kolab CLI utilities

##
## Kolab SASL Authentication Daemon
##
%package -n kolab-saslauthd
Summary:	Kolab SASL Authentication Daemon
Group:		System/Servers
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	python
Requires:	%{name} = %{version}-%{release}
Requires:	cyrus-sasl
Requires:	sasl-plug-plain

%description -n kolab-saslauthd
Kolab SASL Authentication Daemon for multi-domain, multi-authn database deployments

##
## Kolab Server implemented in Python
##
%package -n kolab-server
Summary:	Kolab Server implemented in Python
Group:		System/Servers
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	python
Requires:	%{name} = %{version}-%{release}


%description -n kolab-server
Kolab Server implemented in Python

##
## Kolab SMTP Access Policy for Postfix
##
%package -n postfix-kolab
Summary:	Kolab SMTP Access Policy for Postfix
Group:		System/Servers
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	pkgconfig(python)
Requires:	postfix
Requires:	%{name} = %{version}-%{release}
Requires:	python-sqlalchemy
Requires:	MySQL-python

%description -n postfix-kolab
Kolab SMTP Access Policy for Postfix

##
## Wallace
##
%package -n wallace
Summary:            Kolab Content-Filter
Group:              System/Servers
Requires:           %{name} = %{version}-%{release}
Requires:           python-sqlalchemy
Requires:           MySQL-python
Requires:           python-icalendar >= 3.0
Requires:           %{name}-xml = %{version}-%{release}


%description -n wallace
This is the Kolab Content Filter, with plugins

%prep
%setup -q
%patch0 -p1 -b .mga-schema-loc
#%%patch1 -p1 -b .imap-mga
%patch3 -p1 -b .sasl
%patch4 -p1 -b .amavisd_conf
%patch5 -p1 -b .mta
## %patch6 -p1 -b .impa-sieve


%build
autoreconf -fi

%configure2_5x

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_unitdir}
%{__install} -p -m 644 kolabd/kolabd.systemd %{buildroot}/%{_unitdir}/kolabd.service
%{__install} -p -m 644 saslauthd/kolab-saslauthd.systemd %{buildroot}/%{_unitdir}/kolab-saslauthd.service
%{__install} -p -m 644 wallace/wallace.systemd %{buildroot}/%{_unitdir}/wallace.service

# Install the systemd tempfiles
%{__install} -D -p -m 644 kolabd/kolabd.tmpfiles.d.conf %{buildroot}%{_tmpfilesdir}/kolabd.conf
%{__install} -D -p -m 644 wallace/wallace.tmpfiles.d.conf %{buildroot}%{_tmpfilesdir}/wallace.conf
%{__install} -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/kolab-saslauthd.conf


mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig
%{__install} -p -m 644 kolabd/kolabd.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/kolabd
%{__install} -p -m 644 saslauthd/kolab-saslauthd.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/kolab-saslauthd
%{__install} -p -m 644 wallace/wallace.sysconfig %{buildroot}/%{_sysconfdir}/sysconfig/wallace
%find_lang pykolab

# install the logrotate file, otherwise will fill the log indefinitely
install -p -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/pykolab

%pre
# Add the kolab user and group accounts
%_pre_useradd %{kolab_user} %{_localstatedir}/lib/%{kolab_user} /sbin/nologin
%_pre_useradd %{kolabn_user} %{_localstatedir}/lib/%{kolabn_user} /sbin/nologin
%_pre_useradd %{kolabr_user} %{_localstatedir}/lib/%{kolabr_user} /sbin/nologin
 
%postun
%_postun_userdel %{kolab_user}
%_postun_userdel %{kolabn_user}
%_postun_userdel %{kolabr_user}
 
%post -n kolab-saslauthd
%_tmpfilescreate kolab-saslauthd
%_post_service kolab-saslauthd

%preun -n kolab-saslauthd
%_preun_service kolab-saslauthd

%post -n kolab-server
%_tmpfilescreate kolabd
%_post_service kolabd

%preun -n kolab-server
%_preun_service kolabd

%post -n wallace
%_tmpfilescreate wallace
%_post_service wallace

%preun -n wallace
%_preun_service wallace


%files -f pykolab.lang
%doc AUTHORS COPYING README README.tests
%doc conf/kolab.conf
%attr(0640,kolab-n,kolab) %config(noreplace) %{_sysconfdir}/kolab/kolab.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/pykolab
%dir %{python_sitelib}/pykolab/
%exclude %{python_sitelib}/pykolab/telemetry.*
%{python_sitelib}/pykolab/*.py
%{python_sitelib}/pykolab/*.pyc
%{python_sitelib}/pykolab/*.pyo
%{python_sitelib}/pykolab/auth/
%{python_sitelib}/pykolab/conf/
%{python_sitelib}/pykolab/imap/
%{python_sitelib}/pykolab/itip/
%dir %{python_sitelib}/pykolab/plugins/
%{python_sitelib}/pykolab/plugins/*.py
%{python_sitelib}/pykolab/plugins/*.pyc
%{python_sitelib}/pykolab/plugins/*.pyo
%{python_sitelib}/pykolab/plugins/defaultfolders
%{python_sitelib}/pykolab/plugins/dynamicquota
%{python_sitelib}/pykolab/plugins/recipientpolicy
# No sieve script management without kolab's modified version of
# python-sievelib
%exclude %{python_sitelib}/pykolab/plugins/sievemgmt
##            %{python_sitelib}/kolab/
%{python_sitelib}/cyruslib.py*
%attr(0775,kolab,kolab-n) %dir %{_localstatedir}/lib/kolab/
%attr(0775,kolab,kolab-n) %dir %{_localstatedir}/log/kolab/

%files telemetry
%doc AUTHORS   COPYING
%{_sbindir}/kolab_parse_telemetry
%{python_sitelib}/pykolab/telemetry.*
%{python_sitelib}/pykolab/cli/telemetry/

%files xml
%dir %{python_sitelib}/pykolab/xml
%{python_sitelib}/pykolab/xml/*.py
%{python_sitelib}/pykolab/xml/*.pyc
%{python_sitelib}/pykolab/xml/*.pyo

%files -n kolab-cli
%{_sbindir}/kolab
%{_sbindir}/kolab-conf
%{_sbindir}/setup-kolab
%dir %{_sysconfdir}/kolab/templates
%{_datadir}/kolab/templates
%dir %{python_sitelib}/pykolab/cli/
%{python_sitelib}/pykolab/cli/*.py
%{python_sitelib}/pykolab/cli/*.pyc
%{python_sitelib}/pykolab/cli/*.pyo
%{python_sitelib}/pykolab/cli/wap/*.py
%{python_sitelib}/pykolab/cli/wap/*.pyc
%{python_sitelib}/pykolab/cli/wap/*.pyo

%dir %{python_sitelib}/pykolab/setup/
%{python_sitelib}/pykolab/setup/*.py
%{python_sitelib}/pykolab/setup/*.pyc
%{python_sitelib}/pykolab/setup/*.pyo
%dir %{python_sitelib}/pykolab/wap_client/
%{python_sitelib}/pykolab/wap_client/*.py
%{python_sitelib}/pykolab/wap_client/*.pyc
%{python_sitelib}/pykolab/wap_client/*.pyo
# No sieve script management without Kolab's modified version of
# python-sievelib
%exclude %{python_sitelib}/pykolab/cli/sieve

%files -n kolab-saslauthd
%doc AUTHORS   COPYING
%{_unitdir}/kolab-saslauthd.service
%config(noreplace) %{_sysconfdir}/sysconfig/kolab-saslauthd
%{_sbindir}/kolab-saslauthd
%{python_sitelib}/saslauthd/
%{_tmpfilesdir}/kolab-saslauthd.conf

%files -n kolab-server
%doc AUTHORS   COPYING
%{_unitdir}/kolabd.service
%config(noreplace) %{_sysconfdir}/sysconfig/kolabd
%{_sbindir}/kolabd
%{python_sitelib}/kolabd/
%{_tmpfilesdir}/kolabd.conf

%files -n postfix-kolab
%doc AUTHORS   COPYING
%{_libexecdir}/postfix/kolab_smtp_access_policy

%files -n wallace
%doc AUTHORS   COPYING
%{_unitdir}/wallace.service
%{_sysconfdir}/sysconfig/wallace
%{_sbindir}/wallaced
%{python_sitelib}/wallace
%attr(0700,%{kolab_user},%{kolab_user}) %dir %{_var}/spool/pykolab
%attr(0700,%{kolab_user},%{kolab_user}) %dir %{_var}/spool/pykolab/wallace
%{_tmpfilesdir}/wallace.conf

%changelog
* Wed Jan 20 2016 spuhler <spuhler> 0.8.0-1.mga6
+ Revision: 926083
-upgrade to vers. 0.8.0
 * rediff patches

* Tue Dec 08 2015 spuhler <spuhler> 0.7.17-1.mga6
+ Revision: 908878
- upgarede to vers. 0.7.17

* Thu Oct 15 2015 spuhler <spuhler> 0.7.16-1.mga6
+ Revision: 891921
- upgrade to vers. 0.7.16

* Thu Sep 03 2015 spuhler <spuhler> 0.7.15-1.mga6
+ Revision: 872636
-removed %%define __python %%{__python3} as it doesn't build
- update to vers.0.7.15
- rediffed patches
- use python3

* Sat Feb 14 2015 spuhler <spuhler> 0.7.6-5.mga5
+ Revision: 814975
- added imap-sieve.patch
  * we need this until we upgrade to the next cyrus-imapd version

* Sun Feb 01 2015 spuhler <spuhler> 0.7.6-4.mga5
+ Revision: 812937
- missed escapes in the amavis.conf template

* Sat Jan 31 2015 spuhler <spuhler> 0.7.6-3.mga5
+ Revision: 812912
- added amavisd.conf.patch we want to use our config with needed adders
- mta.patch we run our postfix chrooted

* Sat Jan 31 2015 spuhler <spuhler> 0.7.6-2.mga5
+ Revision: 812794
- added tls_ca_file: /etc/pki/tls/certs/cyrus-imapd.pem to /etc/imapd.conf
  * otherwise, we will get errors that clients may have a problem

* Sat Jan 24 2015 spuhler <spuhler> 0.7.6-1.mga5
+ Revision: 812093
- upgrade to ver. 0.7.6
- corrected location of /lmtp
  * we run postfix chrooted
- corrected cert-file location
- upgrde to ver. 0.7.3
- rediffed imap-mga.patch
- removed pykolab-0.7.1-syntax.patch
  * included in new source

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-3.mga5
+ Revision: 750307
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-2.mga5
+ Revision: 687859
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 spuhler <spuhler> 0.7.1-1.mga5
+ Revision: 669542
- rediffed imap p[atch
- added syntax patch
- upgrade to version 0.7.1
- changed python to python3

* Wed Jun 25 2014 spuhler <spuhler> 0.6.13-6.mga5
+ Revision: 639546
- added in the wallace section missing Requires: %%{name}-xml = %%{version}-%%{release}

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Apr 30 2014 spuhler <spuhler> 0.6.13-4.mga5
+ Revision: 619008
- added logrotate script
 * prevents log from filling
- corrected name /etc/sasl2/smtpd.conf in mageia_sasl.patch

* Thu Apr 17 2014 spuhler <spuhler> 0.6.13-2.mga5
+ Revision: 615328
- converted adding "user" to use adduser macro

* Fri Apr 04 2014 spuhler <spuhler> 0.6.13-1.mga5
+ Revision: 611781
- update to ver. 0.6.13

* Thu Mar 06 2014 spuhler <spuhler> 0.6.12-2.mga5
+ Revision: 600502
- corrected spelling of kolab-saslauthd

* Fri Feb 28 2014 spuhler <spuhler> 0.6.12-1.mga5
+ Revision: 597992
- added new files to file section
- upgrade to ver. 0.6.12
- rediffed mga-schema-loc.patch
- rediffed imap-mga.patch
- upgrade to version 0.5.14
- replaced issue1675.patch with Issue-1675.patch from upstream
  * fixes e-mail containing special characters getting stuck in wallace

* Mon Oct 21 2013 umeabot <umeabot> 0.5.14-4.mga4
+ Revision: 538925
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 spuhler <spuhler> 0.5.14-3.mga4
+ Revision: 491092
- added issue #1627 patch

* Sat Aug 24 2013 spuhler <spuhler> 0.5.14-2.mga4
+ Revision: 471240
- added for wallace Requires: python-six

* Mon Aug 19 2013 spuhler <spuhler> 0.5.14-1.mga4
+ Revision: 467815
- upgrade to ver .0.5.14
- removed roundcube patch

* Fri Jul 19 2013 spuhler <spuhler> 0.5.12-2.mga4
+ Revision: 456193
-added mageia_sasl.patch to enable sasl authentication for postfix

* Thu May 23 2013 spuhler <spuhler> 0.5.12-1.mga4
+ Revision: 425632
- upgrade to 0.5.12
- added roundcube.patch
  * remove none existing plugins
  * prevents from filling up logs if logs are turned on

* Wed Apr 03 2013 spuhler <spuhler> 0.5.11-7.mga3
+ Revision: 407553
- fixed the names in the post/pre lines

* Wed Apr 03 2013 spuhler <spuhler> 0.5.11-6.mga3
+ Revision: 407549
- changed %%post and %%preun lines to use Mageia macros

* Fri Feb 08 2013 spuhler <spuhler> 0.5.11-5.mga3
+ Revision: 395295
- added the correct clamd.service name

* Fri Feb 08 2013 spuhler <spuhler> 0.5.11-4.mga3
+ Revision: 395270
- added impa-mga.patch

* Thu Jan 24 2013 spuhler <spuhler> 0.5.11-3.mga3
+ Revision: 391785
- added BuildRequires:      python-icalendar
  added BuildRequires:      python-kolabformat
  added BuildRequires:      python-ldap
  added BuildRequires:      python-nose
  added BuildRequires:      python-pyasn1
  added BuildRequires:      python-pyasn1-modules
  added BuildRequires:      python-sqlalchemy
  added Requires:             python-pyasn1
  added Requires:             python-pyasn1-modules

* Tue Jan 15 2013 spuhler <spuhler> 0.5.11-2.mga3
+ Revision: 388293
- added the tmpfiles
- fixed tempfiles

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 spuhler <spuhler> 0.5.11-1.mga3
+ Revision: 344084
- upgrade to 0.5.11

* Sun Jan 06 2013 spuhler <spuhler> 0.5.10-10.mga3
+ Revision: 340062
- corrected wrong /sbin/systemctl to /bin/systemctl

* Sun Jan 06 2013 spuhler <spuhler> 0.5.10-9.mga3
+ Revision: 339721
- renamed in post wallaced to wallace

* Sun Jan 06 2013 spuhler <spuhler> 0.5.10-8.mga3
+ Revision: 339608
- corrected group in wallace
- added Requires: python-icalendar >= 3.0

* Wed Jan 02 2013 spuhler <spuhler> 0.5.10-7.mga3
+ Revision: 337538
- using the package provided tmpfiles

* Tue Jan 01 2013 spuhler <spuhler> 0.5.10-6.mga3
+ Revision: 337378
- changed UID and GID to low 410 range as upstream
  same numbers as the kolab-webadmin

* Sun Dec 30 2012 spuhler <spuhler> 0.5.10-4.mga3
+ Revision: 336287
- bumped rel to rebuild
- corrected name of the service from wallaced to wallace

* Sat Dec 29 2012 spuhler <spuhler> 0.5.10-3.mga3
+ Revision: 336269
- added the wallace temp files
- changed name from kolab-server to kolabd
- added wallace-tempfiles.conf

* Sat Dec 29 2012 spuhler <spuhler> 0.5.10-2.mga3
+ Revision: 336196
- added tempfiles.conf for transient folder /var/run
- added kolab-server-tempfiles.conf
- added kolab-saslauthd-tempfiles.conf

* Thu Dec 27 2012 spuhler <spuhler> 0.5.10-1.mga3
+ Revision: 335598
- added location and group patch
- upgrade to 0.5.10

* Sat Dec 22 2012 spuhler <spuhler> 0.5.9-1.mga3
+ Revision: 333967
- upgrade to 0.5.9

* Sat Dec 15 2012 spuhler <spuhler> 0.5.8-1.mga3
+ Revision: 331294
- upgrade to 0.5.8

* Mon Nov 12 2012 spuhler <spuhler> 0.5.6-1.mga3
+ Revision: 317096
- upgrade to 0.5.6

* Sun Oct 21 2012 spuhler <spuhler> 0.5.5-5.mga3
+ Revision: 308610
- removed the Requires: kolab-cli

* Sat Oct 20 2012 spuhler <spuhler> 0.5.5-4.mga3
+ Revision: 308439
- removed Requires: kolab-cli
  bumped rel

* Fri Oct 19 2012 spuhler <spuhler> 0.5.5-3.mga3
+ Revision: 308139
- removed Reqires: kolab-cli to prevent dep loop

* Sun Sep 23 2012 spuhler <spuhler> 0.5.5-2.mga3
+ Revision: 296813
- added Obsoletes: perl-kolab
  bumped release

* Tue Sep 18 2012 spuhler <spuhler> 0.5.5-1.mga3
+ Revision: 295833
- updated to 0.5.5

* Fri Sep 07 2012 spuhler <spuhler> 0.5.4-1.mga3
+ Revision: 289155
- upgrade to 0.5.4

* Sat Aug 18 2012 spuhler <spuhler> 0.5.3-2.mga3
+ Revision: 281931
+ rebuild (emptylog)

* Fri Aug 17 2012 spuhler <spuhler> 0.5.3-1.mga3
+ Revision: 281744
- upgrade to 0.5.3
- imported package pykolab

